*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: #000;
}

:root {
  --white-color: #fff;
  --secondary-color: #701C85;
  --yellow-color: #FFC800;
  --light-blue-color: #74CAD6;
  --red-color: #FF4B22;
  --border-radius: 8px;
  --box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
  --box-shadow-2: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

html {
  font-family: 'Cairo', sans-serif;
  font-size: 62.5%;
}

@media only screen and (max-width: 1000px) {
  html {
    font-size: 50%;
  }
}

body {
  background-color: var(--light-blue-color) !important;
}

/* Start Num 2 */
.hero-section {
  padding: 6%;
  background-color: #003d70;
}

.hero-section .hero-content {
  display: flex;
  align-items: stretch;
  justify-content: center;
  flex-wrap: wrap;
  gap: 5%;
}

.hero-section .hero-content .info {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: space-between;
  min-width: 30rem;
}

.hero-section .hero-content .info h2 {
  color: var(--white-color);
  font-weight: 900;
  font-size: 3rem;
  width: 90%;
  text-align: right;
}

.hero-section .hero-content .info button {
  border: none;
  border-radius: 10rem;
  padding: 1.5rem 2rem;
  font-weight: 900;
  font-size: 1.8rem;
  cursor: pointer;
  margin: 3rem 0;
}

.hero-section .hero-content img {
  flex: 1;
  min-width: 30rem;
}

.dots {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  margin-top: 2rem;
  margin-bottom: -2.5%;
}

span.special {
  background-color: var(--yellow-color);
}

/* span {
  width: 1.5rem;
  height: 1.5rem;
  background-color: var(--white-color);
  border-radius: 50%;
  cursor: pointer;
} */

ul.categories {
  display: flex;
  align-items: center;
  gap: 1rem;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
  padding: 0 5%;
  margin: 2rem 0;
}
ul.categories a{
  text-decoration: none;
}

ul.categories li {
  font-size: 1.8rem;
  padding: 1rem 0;
  border-radius: 1.2rem;
  cursor: pointer;
  width: 15rem;
  font-weight: 900;
  text-align: center;
}

ul.features {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  margin: 2rem 0;
  gap: 4rem;
  text-align: center;
  padding: 0 5%;
}

ul.features p {
  font-weight: 900;
  color: var(--white-color);
  font-size: 2.2rem;
}

ul.features small {
  color: var(--white-color);
  font-size: 1.2rem;
}

.section-title {
  font-weight: 900;
  color: var(--white-color);
  text-align: center;
  font-size: 2.8rem;
  margin: 4rem 0;
}

section.books-section {
  padding: 4rem 5%;
}

section.books-section .last-added-books h2 {
  margin-bottom: 8rem;
}

section.books-section .last-added-books .images {
  display: grid;
  grid-template-columns: repeat(auto-fit, 30rem);
  justify-content: center;
}

section.books-section .last-added-books .images img {
  width: 100%;
  height: 60%;
  object-fit: cover;
  border-radius: 1.5rem;
  box-shadow: var(--box-shadow-2);
  ;
}

section.books-section .last-added-books .images .blured-book {
  filter: blur(4px);
}

section.books-section .last-added-books .images .main-book {
  transform: scale(1.2);
  z-index: 100;
}

section.books-section .last-added-books .dots {
  margin-top: -10%;
}

section.books-section .bestseller-books {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 1.5rem;
  margin: 10rem 0;
}

section.books-section .bestseller-books img {
  width: 100%;
  height: 20rem;
}

section.books-section .bestseller-books .other-books {
  flex: 0.5;
  padding: 3rem;
  border-radius: 2rem;
  background-color: var(--secondary-color);
  color: var(--white-color);
  min-width: 18rem;
  border: 1px solid #cfcfcfb9;
  box-shadow: var(--box-shadow-2);
}

section.books-section .bestseller-books h3 {
  text-align: center;
  font-weight: 900;
  font-size: 1.8rem;
  margin-bottom: 3rem;
  white-space: nowrap;
}

section.books-section .bestseller-books .other-books button,
section.books-section .bestseller-books .book1 button {
  border-radius: 1.2rem;
  padding: 1rem 2rem;
  font-weight: 900;
  font-size: 1.4rem;
  margin-top: 2rem;
  border: none;
  cursor: pointer;
}

section.books-section .bestseller-books .book1 {
  flex: 1;
  padding: 3rem;
  border-radius: 2rem;
  color: var(--secondary-color);
  background-color: var(--yellow-color);
  min-width: 40rem;
  box-shadow: var(--box-shadow-2);
  border: 1px solid #cfcfcfb9;
}

section.books-section .bestseller-books .book1 button {
  background-color: var(--secondary-color);
  color: var(--white-color);
}

section.books-section  .content,
.other-books-section .imgs-section {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(30rem, 1fr));
  gap: 1rem;
}

section.books-section  .box,
.other-books-section .imgs-section .box {
  border-radius: var(--border-radius);
  overflow: hidden;
}

section.books-section  .box .book,
.other-books-section .imgs-section .box {
  position: relative;
}

section.books-section  .box .book img,
.other-books-section .imgs-section img {
  width: 100%;
  border-radius: var(--border-radius);
}

section.books-section  .box .book figcaption,
.other-books-section .imgs-section figcaption {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  background-color: rgba(252, 104, 50, 0.8);
  padding: 10%;
  opacity: 0;
  transform: translateY(-100%);
  transition: all .3s;
  border-radius: var(--border-radius);
}

section.books-section  .box h3,
.other-books-section .imgs-section {
  text-align: center;
  color: var(--white-color);
  font-size: 2.2rem;
  font-weight: 900;
}

section.books-section  .box .book figcaption .flex,
.other-books-section .imgs-section figcaption .flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

section.books-section  .box .book figcaption .flex button,
.other-books-section .imgs-section figcaption .flex button {
  background-color: transparent;
  font-size: 2rem;
  font-weight: 900;
  color: var(--white-color);
  padding: .5rem 1rem;
  border: 2px solid var(--white-color);
  border-radius: 1.2rem;
  cursor: pointer;
}

section.books-section  .box .book figcaption .flex i,
.other-books-section .imgs-section figcaption .flex i {
  color: var(--white-color);
  border: 2px solid var(--white-color);
  border-radius: 50%;
  font-size: 2.4rem;
  height: 4rem;
  width: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

section.books-section  .box .book figcaption .icon,
.other-books-section .imgs-section figcaption .icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 2.6rem;
  padding: 0 7rem;
  border-radius: var(--border-radius);
  cursor: pointer;
}

.other-books-section .imgs-section figcaption .price,
section.books-section  .box .book figcaption .price {
  position: absolute;
  bottom: 10%;
  right: 0;
  background-color: var(--white-color);
  color: var(--secondary-color);
  font-weight: 900;
  font-size: 1.5rem;
  padding: 1.4rem;
  border-radius: 100px 0 0 100px;
}

@media (max-width:400px) {
  .other-books-section .imgs-section figcaption .price,
  section.books-section  .box .book figcaption .price {
    font-size: 1.3rem;
  }
}

section.books-section  .box .book figcaption .stock,
.other-books-section .imgs-section figcaption .stock {
  position: absolute;
  bottom: 10%;
  left: 0;
  background-color: var(--white-color);
  color: var(--secondary-color);
  font-weight: 900;
  font-size: 1.5rem;
  padding: 1.4rem;
  border-radius: 0 100px 100px 0;
}
@media (max-width:400px) {
  section.books-section  .box .book figcaption .stock,
  .other-books-section .imgs-section figcaption .stock {
    font-size: 1.3rem;
  }
}

section.books-section  .box:hover .book figcaption,
.other-books-section .imgs-section .box:hover figcaption {
  transform: translateY(0);
  opacity: 1;
}

section.books-section  button.more {
  color: var(--white-color);
  background-color: transparent;
  padding: 0.5rem 3rem;
  border: 3px solid var(--white-color);
  font-size: 2rem;
  font-weight: 900;
  margin: 3rem auto;
  border-radius: 1.2rem;
  cursor: pointer;
  display: block;
}

.other-books-section {
  padding: 0 5%;
}

.other-books-section .dots {
  margin: 4rem 0;
}

/* End Num 2 */

/* Start Num 3 */

.book-authors {
  padding: 3rem 5%;
}

.book-authors .boxs,
.publisher-section .content {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(25rem, 1fr));
  grid-gap: 1rem;
  text-align: center;
}

.book-authors .boxs .box img,
.publisher-section .content img {
  width: 70%;
  border-radius: 50%;
  box-shadow: var(--box-shadow);
}

.book-authors .boxs .box h3,
.book-authors .boxs .box p,
.publisher-section .content h3,
.publisher-section .content p {
  color: var(--white-color);
  font-size: 1.4rem;
  font-weight: 700;
}

.book-authors .dots,
.publisher-section .dots {
  margin: 4rem 0;
}

.publisher-section {
  padding: 4rem 5%;
}

/* End Num 3 */
/* Start Num 5 */
footer {
  background-color: #fff;
  height: 10vh;
  width: 100%;
}

/* End Num 5 */

/* RESPONSIVE DESIGN */

.resp-input,
.resp-btn {
  display: none;
}

@media only screen and (max-width: 650px) {
  .resp-cart {
    display: flex;
    font-size: 2rem;
    position: relative;
  }

  .resp-cart a {
    background-color: transparent;
  }

  .resp-cart span {
    position: absolute;
    top: 1rem;
    right: 8px;
    transform: translate(-50%, -50%);
    font-size: 1.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: red;
    color: var(--white-color);
    width: 2rem;
    height: 2rem;
  }

  .second-part {
    background-color: var(--yellow-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 5%;
    position: relative;
  }

  .second-part>i {
    display: block;
    font-size: 2.8rem;
    color: var(--secondary-color);
    cursor: pointer;
  }

  .second-part ul {
    position: absolute;
    background-color: var(--white-color);
    bottom: -41rem;
    width: 100%;
    top: 395px;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: fit-content;
    display: none;
    z-index: 999;
  }

  .second-part ul li {
    padding: 1rem 0;
  }

  nav .first-part input::placeholder {
    display: none;
  }

  .resp-input,
  .resp-btn {
    display: block;
  }

  .resp-input {
    position: relative;
  }

  .resp-btn {
    background-color: transparent;
    cursor: pointer !important;
    position: absolute !important;
    top: 17px;
    left: 15px !important;
    width: fit-content;
    padding: 0 !important;
  }

  .hero-section .hero-content {
    flex-direction: column-reverse;
  }

  .hero-section .hero-content .info h2 {
    margin-top: 3.5rem;
    text-align: center;
    font-size: 1.6rem;
  }

  .hero-section .hero-content .info button {
    margin: 2rem auto;
    font-size: 1.2rem;
  }

  section.books-section .last-added-books .images .blured-book {
    display: none !important;
    opacity: 0 !important;
  }

}

.show {
  display: flex !important;
}

.cart-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 2.6rem;
  padding: 0 7rem;
  border-radius: var(--border-radius);
  cursor: pointer;
  background-color: var(--yellow-color);
  color: var(--secondary-color);
  border: none;
}

.update_wishlist {
  outline: none;
  
  border: none;
  background: none;
}

.cart-icon i {
  padding: 10px 0;
  font-size: 1em;
}

/* start modal */
.modal .modal-dialog {
  margin: auto;
}

.modal-body {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 20px;
  margin: 10px 20px;
}

@media (max-width:450px) {
  .modal-body {
    flex-direction: column;
  }
}

.modal-body .icon.special {
  padding: 10px 20px;
  border-radius: 7px;
}

@media (max-width:450px) {
  .modal-body .icon.special {
    padding: 5px 10px;
    width: 100%;
    text-align: center;
  }
}

.modal-body .icon.special .btn {
  color: white;
  font-size: 18px;
}

@media (max-width:450px) {
  .modal-body .icon.special .btn {
    font-size: 14px;
  }
}

.modal-body .icon.special .btn i {
  margin: 0 5px;
}


/* end modal */

/* start book component */
.fix-section-title {
  margin-bottom: -7rem;
}
.book-container{
  background: transparent;
  padding: 0px 0px;
  margin: 50px 5px 0px 5px;
  border-radius: 5px;
  transform: scale(0.8);
  transition: all 0.3s;
  position: relative;
  overflow: hidden;
}


.slider .owl-item.active .book-container {
  background: transparent;
  padding: 0px 0px;
  margin: 50px 5px 0px 5px;
  border-radius: 5px;
  transform: scale(0.5);
  opacity: 0.5;
  transition: all 0.3s;
  position: relative;
  overflow: hidden;
}

.slider .owl-item.active.center .book-container {
  transform: scale(0.6);
  opacity: 1;
  background: transparent;
  background: -webkit-linear-gradient(to bottom, transparent, transparent);
  background: linear-gradient(to bottom, transparent, transparent);
  color: transparent;
}


.book-container .hoverCArd {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  position: absolute;
  content: '';
  width: 100%;
  height: 100%;
  top: 50%;
  left: 0;
  right: 0;
  bottom: 0;
  transform: translateY(-150%);
  transition: all 0.5s ease-in-out;

}

.book-container:hover .hoverCArd {
  transform: translateY(-50%);
  transition: all 0.5s ease-in-out;

}

.book-container .hoverCArd .more-details,
.book-container .hoverCArd .heart {
  position: absolute;
  top: 0;
  padding: 1rem;
}

.book-container .hoverCArd .more-details {
  right: 6px;
}

.book-container .hoverCArd .heart {
  left: 6px;
}

.book-container .hoverCArd .heart:hover {
  color: red;
}
.book-container .hoverCArd .price {
  position: absolute;
  bottom: 10px;
  padding: 1rem;
  color: white;
}

.book-container img {
  border-radius: 15px 15px 15px 15px;
  width:100%;
}

.book-container:hover img {
  filter: brightness(30%)
}
/* end book component */
/* start pagination */
.pagination {
  justify-content: center;
}
/* end pagination */
